function QLKNNparams = appendRAPTORInterfaceParameters10D(QLKNNparams)


minChie = 0.1; minChii = 0.1;
maxChie = 100; maxChii = 100;

minDe = 0.0500; minVe = -100;
minDi = 0.0500; minVi = -100;

maxDe = 100; maxVe = 100;
maxDi = 100; maxVi = 100;

QLKNNparams.doplot = false;

QLKNNparams.implicit = true;
QLKNNparams.rhocore = 0;
QLKNNparams.rhoedge = 1;
QLKNNparams.coreValues = zeros(1,6);
QLKNNparams.edgeValues = zeros(1,6);
QLKNNparams.outSmoothing = 0.3;
QLKNNparams.maxTCoeff = [maxChie maxChii maxDe maxVe maxDi maxVi];
QLKNNparams.minTCoeff = [minChie minChii minDe minVe minDi minVi];

QLKNNparams.edgeStyle = 'interpolate';
QLKNNparams.coreStyle = 'interpolate';
return
